* {
    font-family: 'Akrobat';
}

html {
    scroll-behavior: smooth;
}

body {
    overflow-x: hidden;
}

:root {
    --size: 0.3;
    --size2: 0.5;
    --size3: 0.7;
}

@media (min-width: 576px) {
    :root {
        --size: 0.4;
        --size2: 0.6;
        --size3: 0.8;
    }
}

@media (min-width: 768px) {
    :root {
        --size: 0.5;
        --size2: 0.7;
        --size3: 0.8;
    }
}

@media (min-width: 992px) {
    :root {
        --size: 0.7;
        --size2: 0.8;
        --size3: 0.9;
    }
}

@media (min-width: 1400px) {
    :root {
        --size: 0.9;
        --size2: 0.9;
        --size3: 1;
    }
}

@media (min-width: 1920px) {
    :root {
        --size: 1;
        --size2: 1;
        --size3: 1;
    }
}

@media (min-width: 1400px) {
    .container {
        max-width: 1320px !important;
        padding: 0;
    }
}

@media (min-width: 1920px) {
    .container {
        max-width: 1400px !important;
        padding: 0;
    }
}

.header {
    z-index: 10;
    position: sticky;
    top: 0;
    left: 0;
    width: 100%;
    background: #EBEBEB;
    box-shadow: 0 4px 32px rgba(0, 0, 0, 0.1);
}

.header__links {
    width: 100%;
    gap: calc(40px * var(--size));
    display: none;
}

@media (min-width: 1400px) {
    .header__links {
        display: flex;
    }
}

.header__content {
    gap: 20px;
    padding-top: calc(23px * var(--size));
    padding-bottom: calc(27px * var(--size));
    justify-content: space-between;
}

.header__content .pushed {
    color: #09A8FA;
}

.header__content .pushed__2 {
    display: flex;
    font-size: calc(27px * var(--size3)) !important;
    line-height: calc(32px * var(--size3)) !important;
}

@media (min-width: 1400px) {
    .header__content .pushed__2 {
        display: none;
    }
}

.header__content .pushed:after, .header__content .pushed:before {
    width: 100%;
}

.header__content a {
    color: #000000;
    font-size: calc(27px * var(--size2));
    font-weight: 800;
    line-height: calc(32px * var(--size2));
    text-transform: uppercase;
    white-space: nowrap;
    transition: all .2s ease;
    text-decoration: none;
    position: relative;
}

.header__content a:hover {
    color: #09A8FA;
}

.header__content a:hover:after, .header__content a:hover:before {
    width: 100%;
}

.header__content a:after, .header__content a:before {
    position: absolute;
    content: "";
    background-color: #09A8FA;
    z-index: -1;
    width: 0;
    transition: width .2s ease;
}

.header__content a:after {
    bottom: -4px;
    left: 0;
    height: 4px;
}

.header__content a:before {
    top: -2px;
    left: unset;
    right: 0;
    height: 3px;
}

.credit {
    background: #484848;
    padding-bottom: calc(62px * var(--size2));
}

.credit p {
    font-size: 26px;
    font-weight: 600;
    line-height: 120%;
    margin-bottom: calc(10px * var(--size2));
    width: 100%;
    color: #fff;
    text-align: center;
    margin: 0;
}

.meet {
    background: url("./assets/media/man_bg.jpg");
    background-position: 70% 0%;
    background-repeat: no-repeat;
    background-size: cover;
    position: relative;
}

.meet__grad {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, #d9d9d9 0%, #d9d9d9 25%, rgba(217, 217, 217, 0) 40%, rgba(217, 217, 217, 0) 75%, #d9d9d9 90%, #d9d9d9 100%);
    z-index: 1;
}

.meet__shad {
    position: absolute;
    top: 0;
    bottom: 0;
    width: 100%;
    height: 100%;
    background: rgba(73, 64, 64, 0.5);
    z-index: 2;
}

.meet__text {
    position: relative;
    z-index: 3;
    padding-top: 50px;
    display: flex;
    text-decoration: none !important;
}

.meet__text p:not(.meet__sm) {
    text-transform: uppercase;
    margin: 0;
}

.meet__text p:not(.meet__xl) {
    color: #fff;
}

.meet__sm {
    font-size: calc(29px * var(--size2));
    font-weight: 600;
    line-height: calc(34px * var(--size2));
    margin-bottom: calc(10px * var(--size2));
}

.meet__md {
    font-size: calc(44px * var(--size2));
    font-weight: 800;
    line-height: calc(69px * var(--size2));
}

.meet__lg {
    font-size: calc(62px * var(--size2));
    font-weight: 800;
    line-height: calc(69px * var(--size2));
}

.meet__xl {
    color: #FFD56F;
    font-size: calc(100px * var(--size));
    font-weight: 800;
    line-height: calc(119px * var(--size));
}

.meet__mid {
    position: relative;
    z-index: 4;
    background: linear-gradient(0deg, #484848 37.36%, rgba(72, 72, 72, 0) 59.15%);
    padding-bottom: 166px;
}

.meet__mid p {
    margin: 0;
    font-size: calc(47px * var(--size));
    font-weight: 700;
    line-height: calc(47px * var(--size));
    color: #fff;
    text-align: end;
}

.meet__mid span {
    margin: 0;
    font-size: calc(32px * var(--size));
    font-weight: 700;
    line-height: calc(39px * var(--size));
    color: #fff;
}

.meet__clock {
    margin-top: 66px;
    gap: calc(24px * var(--size));
}

.meet__clock p {
    text-align: start;
}

.meet__clock img {
    width: calc(81px * var(--size));
}

.meet__5 {
    margin-top: 5px;
    gap: calc(20px * var(--size));
    position: relative;
}

.meet__5 .num {
    display: flex;
    justify-content: center;
}

.meet__5 .num span {
    position: absolute;
    font-size: calc(82px * var(--size));
    color: #FFD56F;
    margin: 0;
    font-weight: 800;
}

.meet__5 img {
    width: calc(118px * var(--size));
    margin-top: calc(8px * var(--size));
}

.hello {
    background: #F0F0F0;
    padding-top: calc(100px * var(--size2));
    padding-bottom: calc(125px * var(--size2));
}

.hello h2 {
    font-size: calc(86px * var(--size));
    font-weight: 900;
    line-height: calc(103px * var(--size));
    color: #494040;
    text-transform: uppercase;
    margin: 0;
    text-align: center;
    margin-bottom: calc(70px * var(--size2));
}

.hello__photo {
    position: relative;
    min-width: calc(435px * var(--size));
    margin-bottom: 2vw;
}

.hello__photo img {
    width: calc(535px * var(--size));
}

.hello__profile h3 {
    color: #000;
    font-size: calc(30px * var(--size2));
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin: 0 calc(30px * var(--size)) 0 0;
}

.hello__profile p {
    color: #000;
    font-size: calc(24px * var(--size2));
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin: 0 calc(30px * var(--size)) 0 0;
}

.hello__text {
    gap: 10px;
}

.hello__text h3 {
    color: #0087CC;
    font-size: calc(36px * var(--size2));
    font-style: normal;
    font-weight: 800;
    line-height: normal;
}

.hello__text p {
    color: #000;
    font-size: calc(30px * var(--size2));
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.hello__text h3, .hello__text p {
    margin: 0;
}

.hello__bottom {
    gap: 24px;
}

.hello__line {
    background: #fff;
    height: 14px;
    width: 100%;
    margin-bottom: 8px;
}

.hello__btn {
    width: calc(165px * var(--size2));
    height: calc(122px * var(--size2));
    position: relative;
    cursor: pointer;
    transition: all .2s ease;
}

.hello__btn span {
    position: absolute;
    left: calc(26px * var(--size2));
    bottom: calc(18px * var(--size2));
    color: #fff;
    font-size: calc(36px * var(--size2));
    font-style: normal;
    font-weight: 600;
    line-height: normal;
    margin: 0;
}

.hello__btn img {
    width: 100%;
    height: 100%;
}

.hello__btn:hover {
    transform: translate(30px);
}

.hello__btn:hover span {
    font-weight: 800;
}

.programm__head {
    background: #515151;
    padding-top: calc(53px * var(--size2));
    padding-bottom: calc(62px * var(--size2));
}

.programm__head h2 {
    font-size: calc(86px * var(--size));
    font-weight: 900;
    line-height: calc(103px * var(--size));
    color: #FFD56F;
    text-transform: uppercase;
    text-align: center;
}

.programm__content {
    background: #484848;
    padding-top: 20px;
    padding-bottom: 100px;
}

.programm__list {
    gap: 40px;
}

.programm .card {
    border: 2px solid #A36BEA;
    background: #484848;
    padding: calc(30px * var(--size)) calc(50px * var(--size)) calc(50px * var(--size));
    gap: 15px;
    flex-direction: column;
    text-decoration: none !important;
    transition: all .1s ease;
}

.programm .card:hover {
    transform: scale(1.02);
}

@media (min-width: 768px) {
    .programm .card__time p {
        min-width: 215px;
    }
}

@media (min-width: 992px) {
    .programm .card {
        flex-direction: row;
    }

    .programm .card__time {
        flex-direction: column-reverse;
    }
}

@media (min-width: 1400px) {
    .programm .card__time {
        justify-content: space-between;
        flex-direction: row;
    }
}

.programm .card__text {
    width: 100%;
}

.programm .card__time {
    min-width: calc(510px * var(--size));
    gap: calc(60px * var(--size));
}

.programm .card__time p {
    color: #FFF;
    text-align: center;
    font-size: calc(54px * var(--size2));
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin: 0;
    white-space: nowrap;
}

.programm .card__photo {
    position: relative;
}

.programm .card__photo img {
    width: 100%;
}

.programm .card__name {
    gap: 15px;
    padding-bottom: 20px;
    border-bottom: 4px dotted #fff;
    margin-bottom: 7px;
}

.programm .card__name h3 {
    color: #A36BEA;
    font-size: calc(40px * var(--size3));
    font-style: normal;
    font-weight: 700;
    line-height: 40px;
    margin: 0;
}

.programm .card__name ul {
    margin: 0;
    padding-left: calc(40px * var(--size2));
}

.programm .card__name p, .programm .card__name li {
    color: #A36BEA;
    font-size: calc(30px * var(--size3));
    font-style: normal;
    font-weight: 700;
    line-height: 32px;
    margin: 0;
}

/*.programm .card__name--alt li {*/
/*  color: #09A8FA !important; }*/
.programm .card__desc {
    color: #FFF;
    font-size: calc(26px * var(--size3));
    font-style: normal;
    font-weight: 500;
    line-height: 28px;
    margin: 0;
}

.programm .card__desc span {
    font-weight: 800;
}

.partners th {
    position: relative;
}

.partners table th a {
    position: absolute;
    width: 100%;
    height: 100%;
}

.partners th {
    position: relative;
}

.partners table th a {
    position: absolute;
    width: 100%;
    height: 100%;
}

.partners__head {
    background: #09A8FA;
    padding-top: calc(53px * var(--size2));
    padding-bottom: calc(62px * var(--size2));
}

.partners__head h2 {
    font-size: calc(86px * var(--size));
    font-weight: 900;
    line-height: calc(103px * var(--size));
    color: #fff;
    text-transform: uppercase;
    text-align: center;
}

.partners__contacts {
    gap: 20px;
    flex-direction: column;
    align-items: center;
}

.partners__contacts span, .partners__contacts a {
    color: #000;
    font-size: calc(29px * var(--size3));
    font-style: normal;
    font-weight: 600;
    line-height: calc(43px * var(--size3));
}

.partners__contacts img {
    max-width: 376px;
}

@media (min-width: 992px) {
    .partners__contacts {
        flex-direction: row;
        align-items: unset;
    }
}

.partners__content {
    background: #F0F0F0;
    padding-top: calc(118px * var(--size2));
    padding-bottom: calc(109px * var(--size2));
}

.partners table {
    width: 100%;
    border-collapse: collapse;
}

.partners table tbody {
    display: grid;
    grid-template-rows: repeat(2, 1fr);
    width: 100%;
}

.partners table tr {
    display: grid;
    grid-template-columns: 1fr 1.2fr 1fr;
}

.partners table tr:first-of-type {
    border-bottom: 0.5px solid rgba(0, 0, 0, 0.3);
}

.partners table th:not(th:last-of-type) {
    border-right: 0.5px solid rgba(0, 0, 0, 0.3);
}

.partners table th {
    padding: 20px 20px;
}

.partners table th img {
    max-width: 100%;
}

.nmo__head {
    background: #515151;
    padding-top: calc(53px * var(--size2));
    padding-bottom: calc(62px * var(--size2));
}

.nmo__head h2 {
    font-size: calc(86px * var(--size));
    font-weight: 900;
    line-height: calc(103px * var(--size));
    color: #FFD56F;
    text-transform: uppercase;
    text-align: center;
}

.nmo__content {
    background: #484848;
    padding-top: 55px;
    padding-bottom: 188px;
}

.nmo__content h3 {
    font-size: 48px;
    font-weight: 700;
    line-height: 58px;
    color: #A36BEA;
    margin-bottom: 20px;
}

.nmo__content p {
    font-size: 26px;
    font-weight: 400;
    line-height: 31.5px;
    color: #fff;
    margin-bottom: 80px;
}

.nmo__content a {
    padding: 6px 18px;
    border: 4px solid #FFD56F;
    text-decoration: none;
    font-size: 41px;
    font-weight: 800;
    line-height: 49px;
    color: #5C4E4E;
    background: #FFD56F;
    cursor: pointer;
    transition: all .2s ease;
}

.nmo__content a:hover {
    color: #FFD56F !important;
    background: transparent;
}

.overlay0 {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    z-index: 1100;
    overflow: hidden;
}

.modal {
    padding-top: 40px;
    padding-bottom: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
}

.modal__block {
    position: relative;
    padding: calc(75px * var(--size)) calc(65px * var(--size));
    width: fit-content;
    width: 100%;
    display: flex;
    border-radius: 20px;
    background: #EEE;
    max-height: calc(100vh - 80px);
}

.modal__text {
    height: calc(100vh - 300px);
    overflow: auto;
}

.modal__close {
    position: absolute;
    top: calc(40px * var(--size));
    right: calc(40px * var(--size));
    width: calc(70px * var(--size2));
    height: calc(70px * var(--size2));
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #09A8FA;
    border-radius: 50%;
    border: 4px solid #09A8FA;
    transition: all .2s ease;
}

.modal__close:hover {
    background: transparent;
}

.modal__close:hover::after, .modal__close:hover::before {
    background-color: #09A8FA;
}

.modal__close::after, .modal__close::before {
    content: "";
    height: 4px;
    width: 15px;
    background-color: #fff;
    position: absolute;
}

.modal__close::before {
    transform: rotate(45deg);
}

.modal__close::after {
    transform: rotate(-45deg);
}

.modal__content h3 {
    color: #0087CC;
    font-size: calc(36px * var(--size3));
    font-style: normal;
    font-weight: 800;
    line-height: normal;
    padding-bottom: calc(36px * var(--size3));
}

.modal__content p {
    color: #000;
    font-size: calc(26px * var(--size3));
    font-style: normal;
    font-weight: 600;
    line-height: normal;
}

.modal__content p, .modal__content h3 {
    margin: 0;
}

.side-trigger {
    padding: 8px 16px;
    border: 4px solid #000;
    background: #000;
    transition: all .2s ease;
    border-radius: 4px;
    display: flex;
    align-items: center;
    cursor: pointer;
    gap: 10px;
}

.side-trigger div {
    height: 25px;
    width: 30px;
    position: relative;
}

.side-trigger div span {
    position: absolute;
    height: 3px;
    background: #EBEBEB;
    width: 100%;
    left: 0;
}

.side-trigger div span:nth-child(1) {
    top: 0;
}

.side-trigger div span:nth-child(2) {
    top: 11px;
}

.side-trigger div span:nth-child(3) {
    bottom: 0;
}

.side-trigger:hover {
    background: #EBEBEB;
}

.side-trigger:hover p {
    color: #000;
}

.side-trigger:hover span {
    background: #000;
}

.side-trigger p {
    font-weight: 800;
    font-size: calc(27px * var(--size3));
    line-height: calc(32px * var(--size3));
    color: #EBEBEB;
    text-transform: uppercase;
    white-space: nowrap;
    margin: 0;
}

@media (min-width: 1400px) {
    .side-trigger {
        display: none;
    }
}

.sidenav {
    position: fixed;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    top: 0;
    right: -100%;
    z-index: 900;
    opacity: 0;
    transition: opacity .3s ease, right 0s ease .3s;
}

.sidenav.active {
    opacity: 1;
    right: 0;
    transition: opacity .3s ease;
}

.sidenav.active .sidenav-block {
    right: 0;
}

.sidenav.active .sidenav-click {
    left: 0;
}

.sidenav-block {
    transition: all .3s ease;
    background: #EBEBEB;
    position: absolute;
    top: 0;
    right: -100%;
    width: 100%;
    max-width: 300px;
    height: 100%;
    padding-top: 40px;
    padding-bottom: 40px;
    row-gap: 35px;
    padding-left: 40px;
}

.sidenav-block-desc {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.sidenav-block-desc a {
    color: #000000;
    font-size: calc(27px * var(--size2));
    font-weight: 800;
    line-height: calc(32px * var(--size2));
    text-transform: uppercase;
    white-space: nowrap;
    transition: all .2s ease;
    text-decoration: none;
    position: relative;
}

.sidenav-block-desc a:hover {
    color: #09A8FA;
}

.sidenav-block-desc a:hover:after, .sidenav-block-desc a:hover:before {
    width: 100%;
}

.sidenav-block-desc a:after, .sidenav-block-desc a:before {
    position: absolute;
    content: "";
    background-color: #09A8FA;
    z-index: -1;
    width: 0;
    transition: width .2s ease;
}

.sidenav-block-desc a:after {
    bottom: -4px;
    left: 0;
    height: 4px;
}

.sidenav-block-desc a:before {
    top: -2px;
    left: unset;
    right: 0;
    height: 3px;
}

.sidenav-block-close {
    position: absolute;
    top: calc(40px * var(--size));
    right: calc(40px * var(--size));
    width: calc(70px * var(--size2));
    height: calc(70px * var(--size2));
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #09A8FA;
    border-radius: 50%;
    border: 4px solid #09A8FA;
    transition: all .2s ease;
}

.sidenav-block-close:hover {
    background: transparent;
}

.sidenav-block-close:hover::after, .sidenav-block-close:hover::before {
    background-color: #09A8FA;
}

.sidenav-block-close::after, .sidenav-block-close::before {
    content: "";
    height: 4px;
    width: 15px;
    background-color: #fff;
    position: absolute;
}

.sidenav-block-close::before {
    transform: rotate(45deg);
}

.sidenav-block-close::after {
    transform: rotate(-45deg);
}

.overlay3 .modal__block3 {
    align-items: center;
    justify-content: center;
    padding: 0 !important;
    width: fit-content;
    overflow: hidden;
}

.overlay3 .modal__block3--d {
    display: none;
}

.overlay3 .modal__block3--m {
    display: block;
}

@media (min-width: 768px) {
    .overlay3 .modal__block3 .modal__block3--d {
        display: block;
    }

    .overlay3 .modal__block3 .modal__block3--m {
        display: none;
    }
}

.overlay3 .modal__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.overlay3 .modal__close3 {
    z-index: 5;
}

.overlay3 .modal__close3:hover {
    background: #EEEEEE;
}

.overlay3 h3 {
    text-align: center;
    padding-bottom: 30px !important;
}

.overlay3 img {
    position: relative;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.conference {
    padding: 6px 18px;
    border: 4px solid #FFD56F;
    text-decoration: none;
    font-size: 41px;
    font-weight: 800;
    line-height: 49px;
    color: #000;
    background: #FFD56F;
    cursor: pointer;
    transition: all .2s ease;
    width: fit-content;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
}

.conference:hover {
    text-decoration: none;
    color: #FFD56F !important;
    background: transparent;
}

.video__pop-up {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    z-index: 1100;
    overflow: hidden;
}

.video__pop-up-content {
    display: flex;
    justify-content: center;
    width: 100%;
    height: 100%;
}

@media (min-width: 320px) {
    .video__pop-up-content {
        padding-top: 50%;
    }
}

@media (min-width: 768px) {
    .video__pop-up-content {
        padding-top: 10%;
    }
}

@media (min-width: 2560px) {
    .video__pop-up-content {
        padding-top: 5%;
    }
}

@media (min-width: 320px) {
    .video__pop-up-video {
        width: 100%;
        height: 200px;
    }
}

@media (min-width: 768px) {
    .video__pop-up-video {
        width: 600px;
        height: 400px;
    }
}

@media (min-width: 1200px) {
    .video__pop-up-video {
        width: 800px;
        height: 600px;
    }
}

@media (min-width: 1400px) {
    .video__pop-up-video {
        width: 1000px;
        height: 600px;
    }
}

@media (min-width: 1660px) {
    .video__pop-up-video {
        width: 1200px;
        height: 700px;
    }
}

@media (min-width: 2560px) {
    .video__pop-up-video {
        width: 2000px;
        height: 1200px;
    }
}

.close-video {
    right: calc(50px * var(--size));
    top: calc(480px * var(--size));
    z-index: 120;
}

@media (min-width: 768px) {
    .close-video {
        right: calc(140px * var(--size));
        top: calc(90px * var(--size));
    }
}

@media (min-width: 1200px) {
    .close-video {
        right: calc(240px * var(--size));
        top: calc(90px * var(--size));
    }
}

@media (min-width: 2560px) {
    .close-video {
        right: calc(200px * var(--size));
        top: calc(60px * var(--size));
    }
}

.hidden {
    display: none;
}

.videoBlock {
    cursor: pointer;
}

.how-it-was {
    padding-bottom: calc(130px * var(--size2));
    background: #484848;
}

/*.how-it-was h2{*/
/*  font-size: calc(100px * var(--size2));*/
/*  font-weight: 900;*/
/*  line-height: 120%;*/
/*  margin-bottom: calc(70px * var(--size2));*/
/*  color: #FFD56F;*/
/*  text-transform: uppercase;*/
/*  text-align: center;*/
/*}*/
.how-it-was__stat {
    border: 2px solid #A36BEA;
    margin-top: calc(70px * var(--size2));
    padding: calc(40px * var(--size)) calc(70px * var(--size));
}

.how-it-was__stat p {
    font-size: calc(100px * var(--size));
    font-weight: 900;
    line-height: 120%;
    text-align: center;
    margin: 0;
    color: #FFD56E;
}

.how-it-was__stat span {
    font-size: calc(36px * var(--size));
    font-weight: 700;
    line-height: 120%;
    text-align: center;
    color: #fff;
}

.how-it-was img {
    width: 100%;
}

.how-it-was__pics {
    gap: calc(20px * var(--size));
    margin-top: calc(70px * var(--size));
    display: flex;
    flex-direction: column;
    /*display: grid;*/
    /*grid-template-columns: 40% 20% 40%;*/
    /*grid-template-rows: 1fr 1fr;*/
}

.how-it-was__row div {
    background-position: center;
    background-size: cover;
    height: calc(325px * var(--size));
}

.how-it-was__row:first-of-type {
    display: grid;
    grid-template-columns: 40% 18% auto;
    gap: calc(20px * var(--size));
}

.how-it-was__row:last-of-type {
    display: grid;
    grid-template-columns: 40% 18% 21% auto;
    gap: calc(20px * var(--size));
}

/*# sourceMappingURL=data:application/json;base64,ewoJInZlcnNpb24iOiAzLAoJImZpbGUiOiAic3R5bGUuY3NzIiwKCSJzb3VyY2VzIjogWwoJCSJzdHlsZS5zY3NzIgoJXSwKCSJuYW1lcyI6IFtdLAoJIm1hcHBpbmdzIjogIkFBQUEsQUFBQSxDQUFDLENBQUE7RUFDRyxXQUFXLEVBQUUsU0FBUyxHQUN6Qjs7QUFDRCxBQUFBLElBQUksQ0FBQTtFQUNBLGVBQWUsRUFBRSxNQUFNLEdBQzFCOztBQUNELEFBQUEsSUFBSSxDQUFBO0VBQ0EsVUFBVSxFQUFFLE1BQU0sR0FFckI7O0FBRUQsQUFBQSxLQUFLLENBQUE7RUFDRCxNQUFNLENBQUEsSUFBQztFQUNQLE9BQU8sQ0FBQSxJQUFDO0VBQ1IsT0FBTyxDQUFBLElBQUMsR0FDWDs7QUFDRCxNQUFNLEVBQUUsU0FBUyxFQUFFLEtBQUs7RUFDcEIsQUFBQSxLQUFLLENBQUE7SUFDRCxNQUFNLENBQUEsSUFBQztJQUNQLE9BQU8sQ0FBQSxJQUFDO0lBQ1IsT0FBTyxDQUFBLElBQUMsR0FDWDs7QUFFTCxNQUFNLEVBQUUsU0FBUyxFQUFFLEtBQUs7RUFDcEIsQUFBQSxLQUFLLENBQUE7SUFDRCxNQUFNLENBQUEsSUFBQztJQUNQLE9BQU8sQ0FBQSxJQUFDO0lBQ1IsT0FBTyxDQUFBLElBQUMsR0FDWDs7QUFFTCxNQUFNLEVBQUUsU0FBUyxFQUFFLEtBQUs7RUFDcEIsQUFBQSxLQUFLLENBQUE7SUFDRCxNQUFNLENBQUEsSUFBQztJQUNQLE9BQU8sQ0FBQSxJQUFDO0lBQ1IsT0FBTyxDQUFBLElBQUMsR0FDWDs7QUFFTCxNQUFNLEVBQUUsU0FBUyxFQUFFLE1BQU07RUFDckIsQUFBQSxLQUFLLENBQUE7SUFDRCxNQUFNLENBQUEsSUFBQztJQUNQLE9BQU8sQ0FBQSxJQUFDO0lBQ1IsT0FBTyxDQUFBLEVBQUMsR0FDWDs7QUFFTCxNQUFNLEVBQUUsU0FBUyxFQUFFLE1BQU07RUFDckIsQUFBQSxLQUFLLENBQUE7SUFDRCxNQUFNLENBQUEsRUFBQztJQUNQLE9BQU8sQ0FBQSxFQUFDO0lBQ1IsT0FBTyxDQUFBLEVBQUMsR0FDWDs7QUFJRCxNQUFNLEVBQUUsU0FBUyxFQUFFLE1BQU07RUFEN0IsQUFBQSxVQUFVLENBQUE7SUFFRixTQUFTLEVBQUUsaUJBQWlCO0lBQzVCLE9BQU8sRUFBRSxDQUFDLEdBTWpCOztBQUpHLE1BQU0sRUFBRSxTQUFTLEVBQUUsTUFBTTtFQUw3QixBQUFBLFVBQVUsQ0FBQTtJQU1GLFNBQVMsRUFBRSxpQkFBaUI7SUFDNUIsT0FBTyxFQUFFLENBQUMsR0FFakI7O0FBQ0QsQUFBQSxPQUFPLENBQUE7RUFDSCxPQUFPLEVBQUUsRUFBRTtFQUNYLFFBQVEsRUFBRSxNQUFNO0VBQ2hCLEdBQUcsRUFBRSxDQUFDO0VBQ04sSUFBSSxFQUFFLENBQUM7RUFDUCxLQUFLLEVBQUUsSUFBSTtFQUNYLFVBQVUsRUFBRSxPQUFPO0VBQ25CLFVBQVUsRUFBRSxDQUFDLENBQUMsR0FBRyxDQUFDLElBQUksQ0FBQyxrQkFBa0IsR0FvRTVDO0VBbkVJLEFBQUQsY0FBUSxDQUFBO0lBQ0osS0FBSyxFQUFFLElBQUk7SUFDWCxHQUFHLEVBQUUsd0JBQXdCO0lBQzdCLE9BQU8sRUFBRSxJQUFJLEdBS2hCO0lBSkcsTUFBTSxFQUFFLFNBQVMsRUFBRSxNQUFNO01BSjVCLEFBQUQsY0FBUSxDQUFBO1FBS0EsT0FBTyxFQUFFLElBQUksR0FHcEI7RUFDQSxBQUFELGdCQUFVLENBQUE7SUFDTixHQUFHLEVBQUUsSUFBSTtJQUNULFdBQVcsRUFBRSx3QkFBd0I7SUFDckMsY0FBYyxFQUFFLHdCQUF3QjtJQUN4QyxlQUFlLEVBQUUsYUFBYSxHQXFEakM7SUF6REEsQUFLRyxnQkFMTSxDQUtOLE9BQU8sQ0FBQTtNQVNILEtBQUssRUFBRSxPQUFPLEdBSWpCO01BbEJKLEFBTU8sZ0JBTkUsQ0FNRCxVQUFHLENBQUE7UUFDQSxPQUFPLEVBQUUsSUFBSTtRQUNiLFNBQVMsRUFBRSx5QkFBeUIsQ0FBQyxVQUFVO1FBQy9DLFdBQVcsRUFBRSx5QkFBeUIsQ0FBQyxVQUFVLEdBSXBEO1FBSEcsTUFBTSxFQUFFLFNBQVMsRUFBRSxNQUFNO1VBVnBDLEFBTU8sZ0JBTkUsQ0FNRCxVQUFHLENBQUE7WUFLSSxPQUFPLEVBQUUsSUFBSSxHQUVwQjtNQWJSLEFBZU8sZ0JBZkUsQ0FLTixPQUFPLEFBVUYsTUFBTSxFQWZkLGdCQUFTLENBS04sT0FBTyxBQVVNLE9BQU8sQ0FBQTtRQUNaLEtBQUssRUFBRSxJQUFJLEdBQ2Q7SUFqQlIsQUFtQkcsZ0JBbkJNLENBbUJOLENBQUMsQ0FBQTtNQUNHLEtBQUssRUFBRSxPQUFPO01BQ2QsU0FBUyxFQUFFLHlCQUF5QjtNQUNwQyxXQUFXLEVBQUUsR0FBRztNQUNoQixXQUFXLEVBQUUseUJBQXlCO01BQ3RDLGNBQWMsRUFBRSxTQUFTO01BQ3pCLFdBQVcsRUFBRSxNQUFNO01BQ25CLFVBQVUsRUFBRSxZQUFZO01BQ3hCLGVBQWUsRUFBRSxJQUFJO01BQ3JCLFFBQVEsRUFBRSxRQUFRLEdBNEJyQjtNQXhESixBQTZCTyxnQkE3QkUsQ0FtQk4sQ0FBQyxBQVVJLE1BQU0sQ0FBQTtRQUNILEtBQUssRUFBRSxPQUFPLEdBSWpCO1FBbENSLEFBK0JXLGdCQS9CRixDQW1CTixDQUFDLEFBVUksTUFBTSxBQUVGLE1BQU0sRUEvQmxCLGdCQUFTLENBbUJOLENBQUMsQUFVSSxNQUFNLEFBRU0sT0FBTyxDQUFBO1VBQ1osS0FBSyxFQUFFLElBQUksR0FDZDtNQWpDWixBQW1DTyxnQkFuQ0UsQ0FtQk4sQ0FBQyxBQWdCSSxNQUFNLEVBbkNkLGdCQUFTLENBbUJOLENBQUMsQUFnQlksT0FBTyxDQUFBO1FBQ1osUUFBUSxFQUFFLFFBQVE7UUFDbEIsT0FBTyxFQUFFLEVBQUU7UUFDWCxnQkFBZ0IsRUFBRSxPQUFPO1FBQ3pCLE9BQU8sRUFBRSxFQUFFO1FBQ1gsS0FBSyxFQUFFLENBQUM7UUFFUixVQUFVLEVBQUUsY0FBYyxHQUM3QjtNQTNDUixBQTRDTyxnQkE1Q0UsQ0FtQk4sQ0FBQyxBQXlCSSxNQUFNLENBQUE7UUFDSCxNQUFNLEVBQUUsSUFBSTtRQUNaLElBQUksRUFBRSxDQUFDO1FBQ1AsTUFBTSxFQUFFLEdBQUcsR0FDZDtNQWhEUixBQWlETyxnQkFqREUsQ0FtQk4sQ0FBQyxBQThCSSxPQUFPLENBQUE7UUFDSixHQUFHLEVBQUUsSUFBSTtRQUNULElBQUksRUFBRSxLQUFLO1FBQ1gsS0FBSyxFQUFFLENBQUM7UUFDUixNQUFNLEVBQUUsR0FBRyxHQUNkOztBQUtiLEFBQUEsT0FBTyxDQUFBO0VBQ0gsVUFBVSxFQUFFLE9BQU87RUFDbkIsY0FBYyxFQUFFLHlCQUF5QixHQVc1QztFQWJELEFBR0ksT0FIRyxDQUdILENBQUMsQ0FBQTtJQUNHLFNBQVMsRUFBRSxJQUFJO0lBQ2YsV0FBVyxFQUFFLEdBQUc7SUFDaEIsV0FBVyxFQUFFLElBQUk7SUFDakIsYUFBYSxFQUFFLHlCQUF5QjtJQUN4QyxLQUFLLEVBQUUsSUFBSTtJQUNYLEtBQUssRUFBRSxJQUFJO0lBQ1gsVUFBVSxFQUFFLE1BQU07SUFDbEIsTUFBTSxFQUFFLENBQUMsR0FDWjs7QUFFTCxBQUFBLEtBQUssQ0FBQTtFQUNELFVBQVUsRUFBRSxnQ0FBZ0M7RUFDNUMsbUJBQW1CLEVBQUUsTUFBTTtFQUMzQixpQkFBaUIsRUFBRSxTQUFTO0VBQzVCLGVBQWUsRUFBRSxLQUFLO0VBQ3RCLFFBQVEsRUFBRSxRQUFRLEdBZ0hyQjtFQTlHSSxBQUFELFdBQU8sQ0FBQTtJQUNILFFBQVEsRUFBRSxRQUFRO0lBQ2xCLEdBQUcsRUFBRSxDQUFDO0lBQ04sTUFBTSxFQUFFLENBQUM7SUFDVCxLQUFLLEVBQUUsSUFBSTtJQUNYLE1BQU0sRUFBRSxJQUFJO0lBQ1osVUFBVSxFQUFFLGtJQUE0SztJQUN4TCxPQUFPLEVBQUUsQ0FBQyxHQUNiO0VBQ0EsQUFBRCxXQUFPLENBQUE7SUFDSCxRQUFRLEVBQUUsUUFBUTtJQUNsQixHQUFHLEVBQUUsQ0FBQztJQUNOLE1BQU0sRUFBRSxDQUFDO0lBQ1QsS0FBSyxFQUFFLElBQUk7SUFDWCxNQUFNLEVBQUUsSUFBSTtJQUNaLFVBQVUsRUFBRSxxQkFBb0I7SUFDaEMsT0FBTyxFQUFFLENBQUMsR0FDYjtFQUNBLEFBQUQsV0FBTyxDQUFBO0lBQ0gsUUFBUSxFQUFFLFFBQVE7SUFDbEIsT0FBTyxFQUFFLENBQUM7SUFDVixXQUFXLEVBQUUsSUFBSTtJQUVqQixPQUFPLEVBQUUsSUFBSTtJQUNiLGVBQWUsRUFBRSxlQUFlLEdBVW5DO0lBaEJBLEFBUU8sV0FSRCxDQU9ILENBQUMsQUFDSSxJQUFLLENBQUEsU0FBUyxFQUFDO01BQ1osY0FBYyxFQUFFLFNBQVM7TUFDekIsTUFBTSxFQUFFLENBQUMsR0FDWjtJQVhSLEFBWU8sV0FaRCxDQU9ILENBQUMsQUFLSSxJQUFLLENBQUEsU0FBUyxFQUFDO01BQ1osS0FBSyxFQUFFLElBQUksR0FDZDtFQUdSLEFBQUQsU0FBSyxDQUFBO0lBQ0QsU0FBUyxFQUFFLHlCQUF5QjtJQUNwQyxXQUFXLEVBQUUsR0FBRztJQUNoQixXQUFXLEVBQUUseUJBQXlCO0lBQ3RDLGFBQWEsRUFBRSx5QkFBeUIsR0FDM0M7RUFDQSxBQUFELFNBQUssQ0FBQTtJQUNELFNBQVMsRUFBRSx5QkFBeUI7SUFDcEMsV0FBVyxFQUFFLEdBQUc7SUFDaEIsV0FBVyxFQUFFLHlCQUF5QixHQUN6QztFQUNBLEFBQUQsU0FBSyxDQUFBO0lBQ0QsU0FBUyxFQUFFLHlCQUF5QjtJQUNwQyxXQUFXLEVBQUUsR0FBRztJQUNoQixXQUFXLEVBQUUseUJBQXlCLEdBQ3pDO0VBQ0EsQUFBRCxTQUFLLENBQUE7SUFDRCxLQUFLLEVBQUUsT0FBTztJQUNkLFNBQVMsRUFBRSx5QkFBeUI7SUFDcEMsV0FBVyxFQUFFLEdBQUc7SUFDaEIsV0FBVyxFQUFFLHlCQUF5QixHQUN6QztFQUNBLEFBQUQsVUFBTSxDQUFBO0lBQ0YsUUFBUSxFQUFFLFFBQVE7SUFDbEIsT0FBTyxFQUFFLENBQUM7SUFDVixVQUFVLEVBQUUsaUVBQWlFO0lBRTdFLGNBQWMsRUFBRSxLQUFLLEdBaUJ4QjtJQXRCQSxBQU1HLFVBTkUsQ0FNRixDQUFDLENBQUE7TUFDRyxNQUFNLEVBQUUsQ0FBQztNQUNULFNBQVMsRUFBRSx3QkFBd0I7TUFDbkMsV0FBVyxFQUFFLEdBQUc7TUFDaEIsV0FBVyxFQUFFLHdCQUF3QjtNQUNyQyxLQUFLLEVBQUUsSUFBSTtNQUNYLFVBQVUsRUFBRSxHQUFHLEdBQ2xCO0lBYkosQUFjRyxVQWRFLENBY0YsSUFBSSxDQUFBO01BQ0EsTUFBTSxFQUFFLENBQUM7TUFDVCxTQUFTLEVBQUUsd0JBQXdCO01BQ25DLFdBQVcsRUFBRSxHQUFHO01BQ2hCLFdBQVcsRUFBRSx3QkFBd0I7TUFDckMsS0FBSyxFQUFFLElBQUksR0FDZDtFQUdKLEFBQUQsWUFBUSxDQUFBO0lBQ0osVUFBVSxFQUFFLElBQUk7SUFDaEIsR0FBRyxFQUFFLHdCQUF3QixHQU9oQztJQVRBLEFBR0csWUFISSxDQUdKLENBQUMsQ0FBQTtNQUNHLFVBQVUsRUFBRSxLQUFLLEdBQ3BCO0lBTEosQUFNRyxZQU5JLENBTUosR0FBRyxDQUFBO01BQ0MsS0FBSyxFQUFFLHdCQUF3QixHQUNsQztFQUVKLEFBQUQsUUFBSSxDQUFBO0lBQ0EsVUFBVSxFQUFFLEdBQUc7SUFDZixHQUFHLEVBQUUsd0JBQXdCO0lBQzdCLFFBQVEsRUFBRSxRQUFRLEdBZ0JyQjtJQW5CQSxBQUlHLFFBSkEsQ0FJQSxJQUFJLENBQUE7TUFDQSxPQUFPLEVBQUUsSUFBSTtNQUNiLGVBQWUsRUFBRSxNQUFNLEdBUTFCO01BZEosQUFPTyxRQVBKLENBSUEsSUFBSSxDQUdBLElBQUksQ0FBQTtRQUNBLFFBQVEsRUFBRSxRQUFRO1FBQ2xCLFNBQVMsRUFBRSx3QkFBd0I7UUFDbkMsS0FBSyxFQUFFLE9BQU87UUFDZCxNQUFNLEVBQUUsQ0FBQztRQUNULFdBQVcsRUFBRSxHQUFHLEdBQ25CO0lBYlIsQUFlRyxRQWZBLENBZUEsR0FBRyxDQUFBO01BQ0MsS0FBSyxFQUFFLHlCQUF5QjtNQUNoQyxVQUFVLEVBQUUsdUJBQXVCLEdBQ3RDOztBQUdULEFBQUEsTUFBTSxDQUFBO0VBQ0YsVUFBVSxFQUFFLE9BQU87RUFDbkIsV0FBVyxFQUFFLDBCQUEwQjtFQUN2QyxjQUFjLEVBQUUsMEJBQTBCLEdBd0c3QztFQTNHRCxBQUlJLE1BSkUsQ0FJRixFQUFFLENBQUE7SUFDRSxTQUFTLEVBQUUsd0JBQXdCO0lBQ25DLFdBQVcsRUFBRSxHQUFHO0lBQ2hCLFdBQVcsRUFBRSx5QkFBeUI7SUFDdEMsS0FBSyxFQUFFLE9BQU87SUFDZCxjQUFjLEVBQUUsU0FBUztJQUN6QixNQUFNLEVBQUUsQ0FBQztJQUNULFVBQVUsRUFBRSxNQUFNO0lBQ2xCLGFBQWEsRUFBRSx5QkFBeUIsR0FDM0M7RUFDQSxBQUFELGFBQVEsQ0FBQTtJQUNKLFFBQVEsRUFBRSxRQUFRO0lBQ2xCLFNBQVMsRUFBRSx5QkFBeUI7SUFDcEMsYUFBYSxFQUFFLEdBQUcsR0FjckI7SUFqQkEsQUFLRyxhQUxJLENBS0osR0FBRyxDQUFBO01BRUMsS0FBSyxFQUFFLHlCQUF5QixHQVNuQztFQUVKLEFBQ0csZUFETSxDQUNOLEVBQUUsQ0FBQTtJQUNFLEtBQUssRUFBRSxJQUFJO0lBQ1gsU0FBUyxFQUFFLHlCQUF5QjtJQUNwQyxVQUFVLEVBQUUsTUFBTTtJQUNsQixXQUFXLEVBQUUsR0FBRztJQUNoQixXQUFXLEVBQUUsTUFBTTtJQUNuQixNQUFNLEVBQUUsQ0FBQyxDQUFDLHdCQUF3QixDQUFDLENBQUMsQ0FBQyxDQUFDLEdBQ3pDO0VBUkosQUFTRyxlQVRNLENBU04sQ0FBQyxDQUFBO0lBQ0csS0FBSyxFQUFFLElBQUk7SUFDWCxTQUFTLEVBQUUseUJBQXlCO0lBQ3BDLFVBQVUsRUFBRSxNQUFNO0lBQ2xCLFdBQVcsRUFBRSxHQUFHO0lBQ2hCLFdBQVcsRUFBRSxNQUFNO0lBQ25CLE1BQU0sRUFBRSxDQUFDLENBQUMsd0JBQXdCLENBQUMsQ0FBQyxDQUFDLENBQUMsR0FDekM7RUFFSixBQUFELFlBQU8sQ0FBQTtJQUNILEdBQUcsRUFBRSxJQUFJLEdBa0JaO0lBbkJBLEFBRUcsWUFGRyxDQUVILEVBQUUsQ0FBQTtNQUNFLEtBQUssRUFBRSxPQUFPO01BQ2QsU0FBUyxFQUFFLHlCQUF5QjtNQUNwQyxVQUFVLEVBQUUsTUFBTTtNQUNsQixXQUFXLEVBQUUsR0FBRztNQUNoQixXQUFXLEVBQUUsTUFBTSxHQUN0QjtJQVJKLEFBU0csWUFURyxDQVNILENBQUMsQ0FBQTtNQUNHLEtBQUssRUFBRSxJQUFJO01BQ1gsU0FBUyxFQUFFLHlCQUF5QjtNQUNwQyxVQUFVLEVBQUUsTUFBTTtNQUNsQixXQUFXLEVBQUUsR0FBRztNQUNoQixXQUFXLEVBQUUsTUFBTSxHQUN0QjtJQWZKLEFBZ0JHLFlBaEJHLENBZ0JILEVBQUUsRUFoQkwsWUFBTSxDQWdCQSxDQUFDLENBQUE7TUFDQSxNQUFNLEVBQUUsQ0FBQyxHQUNaO0VBRUosQUFBRCxjQUFTLENBQUE7SUFDTCxHQUFHLEVBQUUsSUFBSSxHQUNaO0VBQ0EsQUFBRCxZQUFPLENBQUE7SUFDSCxVQUFVLEVBQUUsSUFBSTtJQUNoQixNQUFNLEVBQUUsSUFBSTtJQUNaLEtBQUssRUFBRSxJQUFJO0lBQ1gsYUFBYSxFQUFFLEdBQUcsR0FDckI7RUFDQSxBQUFELFdBQU0sQ0FBQTtJQUNGLEtBQUssRUFBRSwwQkFBMEI7SUFDakMsTUFBTSxFQUFFLDBCQUEwQjtJQUNsQyxRQUFRLEVBQUUsUUFBUTtJQUNsQixNQUFNLEVBQUUsT0FBTztJQWdCZixVQUFVLEVBQUUsWUFBWSxHQU8zQjtJQTNCQSxBQUtHLFdBTEUsQ0FLRixJQUFJLENBQUE7TUFDQSxRQUFRLEVBQUUsUUFBUTtNQUNsQixJQUFJLEVBQUUseUJBQXlCO01BQy9CLE1BQU0sRUFBRSx5QkFBeUI7TUFDakMsS0FBSyxFQUFFLElBQUk7TUFDWCxTQUFTLEVBQUUseUJBQXlCO01BQ3BDLFVBQVUsRUFBRSxNQUFNO01BQ2xCLFdBQVcsRUFBRSxHQUFHO01BQ2hCLFdBQVcsRUFBRSxNQUFNO01BQ25CLE1BQU0sRUFBRSxDQUFDLEdBQ1o7SUFmSixBQWdCRyxXQWhCRSxDQWdCRixHQUFHLENBQUE7TUFDQyxLQUFLLEVBQUUsSUFBSTtNQUNYLE1BQU0sRUFBRSxJQUFJLEdBQ2Y7SUFuQkosQUFxQkcsV0FyQkUsQUFxQkQsTUFBTSxDQUFBO01BQ0gsU0FBUyxFQUFFLGVBQWUsR0FJN0I7TUExQkosQUF1Qk8sV0F2QkYsQUFxQkQsTUFBTSxDQUVILElBQUksQ0FBQTtRQUNBLFdBQVcsRUFBRSxHQUFHLEdBQ25COztBQUtSLEFBQUQsZUFBTyxDQUFBO0VBQ0gsVUFBVSxFQUFFLE9BQU87RUFDbkIsV0FBVyxFQUFFLHlCQUF5QjtFQUN0QyxjQUFjLEVBQUUseUJBQXlCLEdBUzVDO0VBWkEsQUFJRyxlQUpHLENBSUgsRUFBRSxDQUFBO0lBQ0UsU0FBUyxFQUFFLHdCQUF3QjtJQUNuQyxXQUFXLEVBQUUsR0FBRztJQUNoQixXQUFXLEVBQUUseUJBQXlCO0lBQ3RDLEtBQUssRUFBRSxPQUFPO0lBQ2QsY0FBYyxFQUFFLFNBQVM7SUFDekIsVUFBVSxFQUFFLE1BQU0sR0FDckI7O0FBRUosQUFBRCxrQkFBVSxDQUFBO0VBQ04sVUFBVSxFQUFFLE9BQU87RUFDbkIsV0FBVyxFQUFFLElBQUk7RUFDakIsY0FBYyxFQUFFLEtBQUssR0FDeEI7O0FBQ0EsQUFBRCxlQUFPLENBQUE7RUFDSCxHQUFHLEVBQUUsSUFBSSxHQUNaOztBQXJCTCxBQXNCSSxTQXRCSyxDQXNCTCxLQUFLLENBQUE7RUFDRCxNQUFNLEVBQUUsaUJBQWlCO0VBQ3pCLFVBQVUsRUFBRSxPQUFPO0VBQ25CLE9BQU8sRUFBRSx3QkFBd0IsQ0FBQyx3QkFBd0IsQ0FBQyx3QkFBd0I7RUFDbkYsR0FBRyxFQUFFLElBQUk7RUFDVCxjQUFjLEVBQUUsTUFBTTtFQUN0QixlQUFlLEVBQUUsZUFBZTtFQUNoQyxVQUFVLEVBQUUsWUFBWSxHQTJGM0I7RUF4SEwsQUE4QlEsU0E5QkMsQ0FzQkwsS0FBSyxBQVFBLE1BQU0sQ0FBQTtJQUNILFNBQVMsRUFBRSxXQUFXLEdBQ3pCO0VBQ0QsTUFBTSxFQUFFLFNBQVMsRUFBRSxLQUFLO0lBakNoQyxBQW1DZ0IsU0FuQ1AsQ0FrQ0ksV0FBTSxDQUNILENBQUMsQ0FBQTtNQUNHLFNBQVMsRUFBRSxLQUFLLEdBQ25CO0VBR1QsTUFBTSxFQUFFLFNBQVMsRUFBRSxLQUFLO0lBeENoQyxBQXNCSSxTQXRCSyxDQXNCTCxLQUFLLENBQUE7TUFzQkcsY0FBYyxFQUFFLEdBQUcsR0E0RTFCO01BeEhMLEFBeUNZLFNBekNILENBeUNJLFdBQU0sQ0FBQTtRQUNILGNBQWMsRUFBRSxjQUFjLEdBQ2pDO0VBR0wsTUFBTSxFQUFFLFNBQVMsRUFBRSxNQUFNO0lBOUNqQyxBQStDWSxTQS9DSCxDQStDSSxXQUFNLENBQUE7TUFDSCxlQUFlLEVBQUUsYUFBYTtNQUM5QixjQUFjLEVBQUUsR0FBRyxHQUN0QjtFQWxEYixBQW9EUSxTQXBEQyxDQW9EQSxXQUFNLENBQUE7SUFDSCxLQUFLLEVBQUUsSUFBSSxHQUNkO0VBdERULEFBdURRLFNBdkRDLENBdURBLFdBQU0sQ0FBQTtJQUNILFNBQVMsRUFBRSx5QkFBeUI7SUFDcEMsR0FBRyxFQUFFLHdCQUF3QixHQVdoQztJQXBFVCxBQTBEWSxTQTFESCxDQXVEQSxXQUFNLENBR0gsQ0FBQyxDQUFBO01BQ0csS0FBSyxFQUFFLElBQUk7TUFDWCxVQUFVLEVBQUUsTUFBTTtNQUNsQixTQUFTLEVBQUUseUJBQXlCO01BQ3BDLFVBQVUsRUFBRSxNQUFNO01BQ2xCLFdBQVcsRUFBRSxHQUFHO01BQ2hCLFdBQVcsRUFBRSxNQUFNO01BQ25CLE1BQU0sRUFBRSxDQUFDO01BQ1QsV0FBVyxFQUFFLE1BQU0sR0FDdEI7RUFuRWIsQUFxRVEsU0FyRUMsQ0FxRUEsWUFBTyxDQUFBO0lBQ0osUUFBUSxFQUFFLFFBQVEsR0FPckI7SUE3RVQsQUF3RVksU0F4RUgsQ0FxRUEsWUFBTyxDQUdKLEdBQUcsQ0FBQTtNQUNDLEtBQUssRUFBRSxJQUFJLEdBQ2Q7RUExRWIsQUE4RVEsU0E5RUMsQ0E4RUEsV0FBTSxDQUFBO0lBMEJILEdBQUcsRUFBRSxJQUFJO0lBQ1QsY0FBYyxFQUFFLElBQUk7SUFDcEIsYUFBYSxFQUFFLGVBQWU7SUFDOUIsYUFBYSxFQUFFLEdBQUcsR0FDckI7SUE1R1QsQUErRVksU0EvRUgsQ0E4RUEsV0FBTSxDQUNILEVBQUUsQ0FBQTtNQUNFLEtBQUssRUFBRSxPQUFPO01BQ2QsU0FBUyxFQUFFLHlCQUF5QjtNQUNwQyxVQUFVLEVBQUUsTUFBTTtNQUNsQixXQUFXLEVBQUUsR0FBRztNQUNoQixXQUFXLEVBQUUsSUFBSTtNQUNqQixNQUFNLEVBQUUsQ0FBQyxHQUNaO0lBdEZiLEFBdUZZLFNBdkZILENBOEVBLFdBQU0sQ0FTSCxFQUFFLENBQUE7TUFDRSxNQUFNLEVBQUUsQ0FBQztNQUNULFlBQVksRUFBRSx5QkFBeUIsR0FDMUM7SUExRmIsQUEyRlksU0EzRkgsQ0E4RUEsV0FBTSxDQWFILENBQUMsRUEzRmIsU0FBUyxDQThFQSxXQUFNLENBYUQsRUFBRSxDQUFBO01BQ0EsS0FBSyxFQUFFLE9BQU87TUFDZCxTQUFTLEVBQUUseUJBQXlCO01BQ3BDLFVBQVUsRUFBRSxNQUFNO01BQ2xCLFdBQVcsRUFBRSxHQUFHO01BQ2hCLFdBQVcsRUFBRSxJQUFJO01BQ2pCLE1BQU0sRUFBRSxDQUFDLEdBQ1o7SUFsR2IsQUFvR2dCLFNBcEdQLENBbUdJLGdCQUFLLENBQ0YsRUFBRSxDQUFBO01BQ0UsS0FBSyxFQUFFLGtCQUFrQixHQUM1QjtFQXRHakIsQUE2R1EsU0E3R0MsQ0E2R0EsV0FBTSxDQUFBO0lBQ0gsS0FBSyxFQUFFLElBQUk7SUFDWCxTQUFTLEVBQUUseUJBQXlCO0lBQ3BDLFVBQVUsRUFBRSxNQUFNO0lBQ2xCLFdBQVcsRUFBRSxHQUFHO0lBQ2hCLFdBQVcsRUFBRSxJQUFJO0lBQ2pCLE1BQU0sRUFBRSxDQUFDLEdBSVo7SUF2SFQsQUFvSFksU0FwSEgsQ0E2R0EsV0FBTSxDQU9ILElBQUksQ0FBQTtNQUNBLFdBQVcsRUFBRSxHQUFHLEdBQ25COztBQUtSLEFBQUQsZUFBTyxDQUFBO0VBQ0gsVUFBVSxFQUFFLE9BQU87RUFDbkIsV0FBVyxFQUFFLHlCQUF5QjtFQUN0QyxjQUFjLEVBQUUseUJBQXlCLEdBUzVDO0VBWkEsQUFJRyxlQUpHLENBSUgsRUFBRSxDQUFBO0lBQ0UsU0FBUyxFQUFFLHdCQUF3QjtJQUNuQyxXQUFXLEVBQUUsR0FBRztJQUNoQixXQUFXLEVBQUUseUJBQXlCO0lBQ3RDLEtBQUssRUFBRSxJQUFJO0lBQ1gsY0FBYyxFQUFFLFNBQVM7SUFDekIsVUFBVSxFQUFFLE1BQU0sR0FDckI7O0FBRUosQUFBRCxtQkFBVyxDQUFBO0VBQ1AsR0FBRyxFQUFFLElBQUk7RUFDVCxjQUFjLEVBQUUsTUFBTTtFQUN0QixXQUFXLEVBQUUsTUFBTSxHQWV0QjtFQWxCQSxBQUlHLG1CQUpPLENBSVAsSUFBSSxFQUpQLG1CQUFVLENBSUYsQ0FBQyxDQUFBO0lBQ0YsS0FBSyxFQUFFLElBQUk7SUFDWCxTQUFTLEVBQUUseUJBQXlCO0lBQ3BDLFVBQVUsRUFBRSxNQUFNO0lBQ2xCLFdBQVcsRUFBRSxHQUFHO0lBQ2hCLFdBQVcsRUFBRSx5QkFBeUIsR0FDekM7RUFWSixBQVdHLG1CQVhPLENBV1AsR0FBRyxDQUFBO0lBQ0MsU0FBUyxFQUFFLEtBQUssR0FDbkI7RUFDRCxNQUFNLEVBQUUsU0FBUyxFQUFFLEtBQUs7SUFkM0IsQUFBRCxtQkFBVyxDQUFBO01BZUgsY0FBYyxFQUFFLEdBQUc7TUFDbkIsV0FBVyxFQUFFLEtBQUssR0FFekI7O0FBQ0EsQUFBRCxrQkFBVSxDQUFBO0VBQ04sVUFBVSxFQUFFLE9BQU87RUFDbkIsV0FBVyxFQUFFLDBCQUEwQjtFQUN2QyxjQUFjLEVBQUUsMEJBQTBCLEdBQzdDOztBQXJDTCxBQXNDSSxTQXRDSyxDQXNDTCxLQUFLLENBQUE7RUFDRCxLQUFLLEVBQUUsSUFBSTtFQUNYLGVBQWUsRUFBRSxRQUFRLEdBd0I1QjtFQWhFTCxBQTBDUSxTQTFDQyxDQXNDTCxLQUFLLENBSUQsS0FBSyxDQUFBO0lBQ0QsT0FBTyxFQUFFLElBQUk7SUFDYixrQkFBa0IsRUFBRSxjQUFjO0lBQ2xDLEtBQUssRUFBRSxJQUFJLEdBQ2Q7RUE5Q1QsQUErQ1EsU0EvQ0MsQ0FzQ0wsS0FBSyxDQVNELEVBQUUsQ0FBQTtJQUNFLE9BQU8sRUFBRSxJQUFJO0lBQ2IscUJBQXFCLEVBQUUsYUFBYSxHQUl2QztJQXJEVCxBQWtEWSxTQWxESCxDQXNDTCxLQUFLLENBU0QsRUFBRSxBQUdHLGNBQWMsQ0FBQTtNQUNYLGFBQWEsRUFBRSxLQUFLLENBQUMsS0FBSyxDQUFDLGtCQUFpQixHQUMvQztFQXBEYixBQXNEUSxTQXREQyxDQXNDTCxLQUFLLENBZ0JELEVBQUUsQUFBQSxJQUFLLENBQUEsRUFBRSxBQUFBLGFBQWEsRUFBQztJQUNuQixZQUFZLEVBQUUsS0FBSyxDQUFDLEtBQUssQ0FBQyxrQkFBaUIsR0FDOUM7RUF4RFQsQUF5RFEsU0F6REMsQ0FzQ0wsS0FBSyxDQW1CRCxFQUFFLENBQUE7SUFDRSxPQUFPLEVBQUUsU0FBUyxHQUlyQjtJQTlEVCxBQTJEWSxTQTNESCxDQXNDTCxLQUFLLENBbUJELEVBQUUsQ0FFRSxHQUFHLENBQUE7TUFDQyxTQUFTLEVBQUUsSUFBSSxHQUNsQjs7QUFNUixBQUFELFVBQU8sQ0FBQTtFQUNILFVBQVUsRUFBRSxPQUFPO0VBQ25CLFdBQVcsRUFBRSx5QkFBeUI7RUFDdEMsY0FBYyxFQUFFLHlCQUF5QixHQVM1QztFQVpBLEFBSUcsVUFKRyxDQUlILEVBQUUsQ0FBQTtJQUNFLFNBQVMsRUFBRSx3QkFBd0I7SUFDbkMsV0FBVyxFQUFFLEdBQUc7SUFDaEIsV0FBVyxFQUFFLHlCQUF5QjtJQUN0QyxLQUFLLEVBQUUsT0FBTztJQUNkLGNBQWMsRUFBRSxTQUFTO0lBQ3pCLFVBQVUsRUFBRSxNQUFNLEdBQ3JCOztBQUVKLEFBQUQsYUFBVSxDQUFBO0VBQ04sVUFBVSxFQUFFLE9BQU87RUFDbkIsV0FBVyxFQUFFLElBQUk7RUFDakIsY0FBYyxFQUFFLEtBQUssR0FnQ3hCO0VBbkNBLEFBSUcsYUFKTSxDQUlOLEVBQUUsQ0FBQTtJQUNFLFNBQVMsRUFBRSxJQUFJO0lBQ2YsV0FBVyxFQUFFLEdBQUc7SUFDaEIsV0FBVyxFQUFFLElBQUk7SUFDakIsS0FBSyxFQUFFLE9BQU87SUFDZCxhQUFhLEVBQUUsSUFBSSxHQUN0QjtFQVZKLEFBV0csYUFYTSxDQVdOLENBQUMsQ0FBQTtJQUNHLFNBQVMsRUFBRSxJQUFJO0lBQ2YsV0FBVyxFQUFFLEdBQUc7SUFDaEIsV0FBVyxFQUFFLE1BQU07SUFDbkIsS0FBSyxFQUFFLElBQUk7SUFDWCxhQUFhLEVBQUUsSUFBSSxHQUN0QjtFQWpCSixBQWtCRyxhQWxCTSxDQWtCTixDQUFDLENBQUE7SUFDRyxPQUFPLEVBQUUsUUFBUTtJQUNqQixNQUFNLEVBQUUsaUJBQWlCO0lBQ3pCLGVBQWUsRUFBRSxJQUFJO0lBQ3JCLFNBQVMsRUFBRSxJQUFJO0lBQ2YsV0FBVyxFQUFFLEdBQUc7SUFDaEIsV0FBVyxFQUFFLElBQUk7SUFDakIsS0FBSyxFQUFFLE9BQU87SUFDZCxVQUFVLEVBQUUsT0FBTztJQUNuQixNQUFNLEVBQUUsT0FBTztJQUNmLFVBQVUsRUFBRSxZQUFZLEdBTTNCO0lBbENKLEFBNkJPLGFBN0JFLENBa0JOLENBQUMsQUFXSSxNQUFNLENBQUE7TUFDSCxLQUFLLEVBQUUsa0JBQWtCO01BQ3pCLFVBQVUsRUFBRSxXQUFXLEdBQzFCOztBQUtiLEFBQUEsU0FBUyxDQUFBO0VBQ0wsT0FBTyxFQUFFLElBQUk7RUFDYixRQUFRLEVBQUUsS0FBSztFQUNmLEdBQUcsRUFBRSxDQUFDO0VBQ04sSUFBSSxFQUFFLENBQUM7RUFDUCxLQUFLLEVBQUUsSUFBSTtFQUNYLE1BQU0sRUFBRSxJQUFJO0VBQ1osVUFBVSxFQUFFLGtCQUFrQjtFQUM5QixPQUFPLEVBQUUsSUFBSTtFQUNiLFFBQVEsRUFBRSxNQUFNLEdBQ25COztBQUNELEFBQUEsTUFBTSxDQUFBO0VBQ0YsV0FBVyxFQUFFLElBQUk7RUFDakIsY0FBYyxFQUFFLElBQUk7RUFDcEIsT0FBTyxFQUFFLElBQUk7RUFDYixlQUFlLEVBQUUsTUFBTTtFQUN2QixXQUFXLEVBQUUsTUFBTTtFQUNuQixLQUFLLEVBQUUsSUFBSTtFQUNYLE1BQU0sRUFBRSxJQUFJLEdBcUVmO0VBcEVJLEFBQUQsYUFBUSxDQUFBO0lBQ0osUUFBUSxFQUFFLFFBQVE7SUFDbEIsT0FBTyxFQUFFLHdCQUF3QixDQUFDLHdCQUF3QjtJQUMxRCxLQUFLLEVBQUUsV0FBVztJQUNsQixLQUFLLEVBQUUsSUFBSTtJQUNYLE9BQU8sRUFBRSxJQUFJO0lBQ2IsYUFBYSxFQUFFLElBQUk7SUFDbkIsVUFBVSxFQUFFLElBQUk7SUFDaEIsVUFBVSxFQUFFLGtCQUFrQixHQUNqQztFQUNBLEFBQUQsWUFBTyxDQUFBO0lBQ0gsTUFBTSxFQUFFLG1CQUFtQjtJQUMzQixRQUFRLEVBQUUsSUFBSSxHQUNqQjtFQUNBLEFBQUQsYUFBUSxDQUFBO0lBQ0osUUFBUSxFQUFFLFFBQVE7SUFDbEIsR0FBRyxFQUFFLHdCQUF3QjtJQUM3QixLQUFLLEVBQUUsd0JBQXdCO0lBQy9CLEtBQUssRUFBRSx5QkFBeUI7SUFDaEMsTUFBTSxFQUFFLHlCQUF5QjtJQUNqQyxNQUFNLEVBQUUsT0FBTztJQUNmLE9BQU8sRUFBRSxJQUFJO0lBQ2IsV0FBVyxFQUFFLE1BQU07SUFDbkIsZUFBZSxFQUFFLE1BQU07SUFDdkIsVUFBVSxFQUFFLE9BQU87SUFDbkIsYUFBYSxFQUFFLEdBQUc7SUFDbEIsTUFBTSxFQUFFLGlCQUFpQjtJQUN6QixVQUFVLEVBQUUsWUFBWSxHQW9CM0I7SUFqQ0EsQUFjRyxhQWRJLEFBY0gsTUFBTSxDQUFBO01BQ0gsVUFBVSxFQUFFLFdBQVcsR0FJMUI7TUFuQkosQUFnQk8sYUFoQkEsQUFjSCxNQUFNLEFBRUYsT0FBTyxFQWhCZixhQUFPLEFBY0gsTUFBTSxBQUVRLFFBQVEsQ0FBQTtRQUNmLGdCQUFnQixFQUFFLE9BQU8sR0FDNUI7SUFsQlIsQUFvQkcsYUFwQkksQUFvQkgsT0FBTyxFQXBCWCxhQUFPLEFBb0JPLFFBQVEsQ0FBQztNQUNoQixPQUFPLEVBQUUsRUFBRTtNQUNYLE1BQU0sRUFBRSxHQUFHO01BQ1gsS0FBSyxFQUFFLElBQUk7TUFDWCxnQkFBZ0IsRUFBRSxJQUFJO01BQ3RCLFFBQVEsRUFBRSxRQUFRLEdBQ3JCO0lBMUJKLEFBMkJHLGFBM0JJLEFBMkJILFFBQVEsQ0FBQztNQUNWLFNBQVMsRUFBRSxhQUFhLEdBQ3ZCO0lBN0JKLEFBOEJHLGFBOUJJLEFBOEJILE9BQU8sQ0FBQztNQUNULFNBQVMsRUFBRSxjQUFjLEdBQ3hCO0VBRUosQUFDRyxlQURNLENBQ04sRUFBRSxDQUFBO0lBQ0UsS0FBSyxFQUFFLE9BQU87SUFDZCxTQUFTLEVBQUUseUJBQXlCO0lBQ3BDLFVBQVUsRUFBRSxNQUFNO0lBQ2xCLFdBQVcsRUFBRSxHQUFHO0lBQ2hCLFdBQVcsRUFBRSxNQUFNO0lBQ25CLGNBQWMsRUFBRSx5QkFBeUIsR0FDNUM7RUFSSixBQVNHLGVBVE0sQ0FTTixDQUFDLENBQUE7SUFDRyxLQUFLLEVBQUUsSUFBSTtJQUNYLFNBQVMsRUFBRSx5QkFBeUI7SUFDcEMsVUFBVSxFQUFFLE1BQU07SUFDbEIsV0FBVyxFQUFFLEdBQUc7SUFDaEIsV0FBVyxFQUFFLE1BQU0sR0FDdEI7RUFmSixBQWdCRyxlQWhCTSxDQWdCTixDQUFDLEVBaEJKLGVBQVMsQ0FnQkosRUFBRSxDQUFBO0lBQ0EsTUFBTSxFQUFFLENBQUMsR0FDWjs7QUFHVCxBQUFBLGFBQWEsQ0FBQTtFQUNULE9BQU8sRUFBRSxRQUFRO0VBQ2pCLE1BQU0sRUFBRSxjQUFjO0VBQ3RCLFVBQVUsRUFBRSxJQUFJO0VBQ2hCLFVBQVUsRUFBRSxZQUFZO0VBQ3hCLGFBQWEsRUFBRSxHQUFHO0VBQ2xCLE9BQU8sRUFBRSxJQUFJO0VBQ2IsV0FBVyxFQUFFLE1BQU07RUFDbkIsTUFBTSxFQUFFLE9BQU87RUFDZixHQUFHLEVBQUUsSUFBSSxHQTJDWjtFQXBERCxBQVVJLGFBVlMsQ0FVVCxHQUFHLENBQUE7SUFDQyxNQUFNLEVBQUUsSUFBSTtJQUNaLEtBQUssRUFBRSxJQUFJO0lBQ1gsUUFBUSxFQUFFLFFBQVEsR0FpQnJCO0lBOUJMLEFBY1EsYUFkSyxDQVVULEdBQUcsQ0FJQyxJQUFJLENBQUE7TUFDQSxRQUFRLEVBQUUsUUFBUTtNQUNsQixNQUFNLEVBQUUsR0FBRztNQUNYLFVBQVUsRUFBRSxPQUFPO01BQ25CLEtBQUssRUFBRSxJQUFJO01BQ1gsSUFBSSxFQUFFLENBQUMsR0FVVjtNQTdCVCxBQW9CWSxhQXBCQyxDQVVULEdBQUcsQ0FJQyxJQUFJLEFBTUMsVUFBVyxDQUFBLENBQUMsRUFBQztRQUNWLEdBQUcsRUFBRSxDQUFDLEdBQ1Q7TUF0QmIsQUF1QlksYUF2QkMsQ0FVVCxHQUFHLENBSUMsSUFBSSxBQVNDLFVBQVcsQ0FBQSxDQUFDLEVBQUM7UUFDVixHQUFHLEVBQUUsSUFBSSxHQUNaO01BekJiLEFBMEJZLGFBMUJDLENBVVQsR0FBRyxDQUlDLElBQUksQUFZQyxVQUFXLENBQUEsQ0FBQyxFQUFDO1FBQ1YsTUFBTSxFQUFFLENBQUMsR0FDWjtFQTVCYixBQStCSSxhQS9CUyxBQStCUixNQUFNLENBQUE7SUFDSCxVQUFVLEVBQUUsT0FBTyxHQU90QjtJQXZDTCxBQWlDUSxhQWpDSyxBQStCUixNQUFNLENBRUgsQ0FBQyxDQUFBO01BQ0csS0FBSyxFQUFFLElBQUksR0FDZDtJQW5DVCxBQW9DUSxhQXBDSyxBQStCUixNQUFNLENBS0gsSUFBSSxDQUFBO01BQ0EsVUFBVSxFQUFFLElBQUksR0FDbkI7RUF0Q1QsQUF3Q0ksYUF4Q1MsQ0F3Q1QsQ0FBQyxDQUFBO0lBQ0csV0FBVyxFQUFFLEdBQUc7SUFDaEIsU0FBUyxFQUFFLHlCQUF5QjtJQUNwQyxXQUFXLEVBQUUseUJBQXlCO0lBQ3RDLEtBQUssRUFBRSxPQUFPO0lBQ2QsY0FBYyxFQUFFLFNBQVM7SUFDekIsV0FBVyxFQUFFLE1BQU07SUFDbkIsTUFBTSxFQUFFLENBQUMsR0FDWjtFQUNELE1BQU0sRUFBRSxTQUFTLEVBQUUsTUFBTTtJQWpEN0IsQUFBQSxhQUFhLENBQUE7TUFrREwsT0FBTyxFQUFFLElBQUksR0FFcEI7O0FBQ0QsQUFBQSxRQUFRLENBQUE7RUFDSixRQUFRLEVBQUUsS0FBSztFQUNmLEtBQUssRUFBRSxJQUFJO0VBQ1gsTUFBTSxFQUFFLElBQUk7RUFDWixVQUFVLEVBQUUsa0JBQWtCO0VBQzlCLEdBQUcsRUFBRSxDQUFDO0VBQ04sS0FBSyxFQUFFLEtBQUs7RUFDWixPQUFPLEVBQUUsR0FBRztFQUNaLE9BQU8sRUFBRSxDQUFDO0VBQ1YsVUFBVSxFQUFFLG1DQUFtQyxHQXNHbEQ7RUEvR0QsQUFVSSxRQVZJLEFBVUgsT0FBTyxDQUFBO0lBQ0osT0FBTyxFQUFFLENBQUM7SUFDVixLQUFLLEVBQUUsQ0FBQztJQUNSLFVBQVUsRUFBRSxnQkFBZ0IsR0FPL0I7SUFwQkwsQUFjUSxRQWRBLEFBVUgsT0FBTyxDQUlKLGNBQWMsQ0FBQTtNQUNWLEtBQUssRUFBRSxDQUFDLEdBQ1g7SUFoQlQsQUFpQlEsUUFqQkEsQUFVSCxPQUFPLENBT0osY0FBYyxDQUFBO01BQ1YsSUFBSSxFQUFFLENBQUMsR0FDVjtFQUVKLEFBQUQsY0FBTyxDQUFBO0lBQ0gsVUFBVSxFQUFFLFlBQVk7SUFDeEIsVUFBVSxFQUFFLE9BQU87SUFDbkIsUUFBUSxFQUFFLFFBQVE7SUFDbEIsR0FBRyxFQUFFLENBQUM7SUFDTixLQUFLLEVBQUUsS0FBSztJQUNaLEtBQUssRUFBRSxJQUFJO0lBQ1gsU0FBUyxFQUFFLEtBQUs7SUFDaEIsTUFBTSxFQUFFLElBQUk7SUFDWixXQUFXLEVBQUUsSUFBSTtJQUNqQixjQUFjLEVBQUUsSUFBSTtJQUNwQixPQUFPLEVBQUUsSUFBSTtJQUNiLFlBQVksRUFBRSxJQUFJLEdBNkVyQjtJQTVFSSxBQUFELG1CQUFNLENBQUE7TUFDRixPQUFPLEVBQUUsSUFBSTtNQUNiLGNBQWMsRUFBRSxNQUFNO01BQ3RCLEdBQUcsRUFBRSxJQUFJLEdBc0NaO01BekNBLEFBSUcsbUJBSkUsQ0FJRixDQUFDLENBQUE7UUFDRyxLQUFLLEVBQUUsT0FBTztRQUNkLFNBQVMsRUFBRSx5QkFBeUI7UUFDcEMsV0FBVyxFQUFFLEdBQUc7UUFDaEIsV0FBVyxFQUFFLHlCQUF5QjtRQUN0QyxjQUFjLEVBQUUsU0FBUztRQUN6QixXQUFXLEVBQUUsTUFBTTtRQUNuQixVQUFVLEVBQUUsWUFBWTtRQUN4QixlQUFlLEVBQUUsSUFBSTtRQUNyQixRQUFRLEVBQUUsUUFBUSxHQTJCckI7UUF4Q0osQUFjTyxtQkFkRixDQUlGLENBQUMsQUFVSSxNQUFNLENBQUE7VUFDSCxLQUFLLEVBQUUsT0FBTyxHQUlqQjtVQW5CUixBQWdCVyxtQkFoQk4sQ0FJRixDQUFDLEFBVUksTUFBTSxBQUVGLE1BQU0sRUFoQmxCLG1CQUFLLENBSUYsQ0FBQyxBQVVJLE1BQU0sQUFFTSxPQUFPLENBQUE7WUFDWixLQUFLLEVBQUUsSUFBSSxHQUNkO1FBbEJaLEFBb0JPLG1CQXBCRixDQUlGLENBQUMsQUFnQkksTUFBTSxFQXBCZCxtQkFBSyxDQUlGLENBQUMsQUFnQlksT0FBTyxDQUFBO1VBQ1osUUFBUSxFQUFFLFFBQVE7VUFDbEIsT0FBTyxFQUFFLEVBQUU7VUFDWCxnQkFBZ0IsRUFBRSxPQUFPO1VBQ3pCLE9BQU8sRUFBRSxFQUFFO1VBQ1gsS0FBSyxFQUFFLENBQUM7VUFDUixVQUFVLEVBQUUsY0FBYyxHQUM3QjtRQTNCUixBQTRCTyxtQkE1QkYsQ0FJRixDQUFDLEFBd0JJLE1BQU0sQ0FBQTtVQUNILE1BQU0sRUFBRSxJQUFJO1VBQ1osSUFBSSxFQUFFLENBQUM7VUFDUCxNQUFNLEVBQUUsR0FBRyxHQUNkO1FBaENSLEFBaUNPLG1CQWpDRixDQUlGLENBQUMsQUE2QkksT0FBTyxDQUFBO1VBQ0osR0FBRyxFQUFFLElBQUk7VUFDVCxJQUFJLEVBQUUsS0FBSztVQUNYLEtBQUssRUFBRSxDQUFDO1VBQ1IsTUFBTSxFQUFFLEdBQUcsR0FDZDtJQUlSLEFBQUQsb0JBQU8sQ0FBQTtNQUNILFFBQVEsRUFBRSxRQUFRO01BQ2xCLEdBQUcsRUFBRSx3QkFBd0I7TUFDN0IsS0FBSyxFQUFFLHdCQUF3QjtNQUMvQixLQUFLLEVBQUUseUJBQXlCO01BQ2hDLE1BQU0sRUFBRSx5QkFBeUI7TUFDakMsTUFBTSxFQUFFLE9BQU87TUFDZixPQUFPLEVBQUUsSUFBSTtNQUNiLFdBQVcsRUFBRSxNQUFNO01BQ25CLGVBQWUsRUFBRSxNQUFNO01BQ3ZCLFVBQVUsRUFBRSxPQUFPO01BQ25CLGFBQWEsRUFBRSxHQUFHO01BQ2xCLE1BQU0sRUFBRSxpQkFBaUI7TUFDekIsVUFBVSxFQUFFLFlBQVksR0FvQjNCO01BakNBLEFBY0csb0JBZEcsQUFjRixNQUFNLENBQUE7UUFDSCxVQUFVLEVBQUUsV0FBVyxHQUkxQjtRQW5CSixBQWdCTyxvQkFoQkQsQUFjRixNQUFNLEFBRUYsT0FBTyxFQWhCZixvQkFBTSxBQWNGLE1BQU0sQUFFUSxRQUFRLENBQUE7VUFDZixnQkFBZ0IsRUFBRSxPQUFPLEdBQzVCO01BbEJSLEFBb0JHLG9CQXBCRyxBQW9CRixPQUFPLEVBcEJYLG9CQUFNLEFBb0JRLFFBQVEsQ0FBQztRQUNoQixPQUFPLEVBQUUsRUFBRTtRQUNYLE1BQU0sRUFBRSxHQUFHO1FBQ1gsS0FBSyxFQUFFLElBQUk7UUFDWCxnQkFBZ0IsRUFBRSxJQUFJO1FBQ3RCLFFBQVEsRUFBRSxRQUFRLEdBQ3JCO01BMUJKLEFBMkJHLG9CQTNCRyxBQTJCRixRQUFRLENBQUM7UUFDTixTQUFTLEVBQUUsYUFBYSxHQUMzQjtNQTdCSixBQThCRyxvQkE5QkcsQUE4QkYsT0FBTyxDQUFDO1FBQ0wsU0FBUyxFQUFFLGNBQWMsR0FDNUI7O0FBSWIsQUFFSSxTQUZLLENBRUwsY0FBYyxDQUFBO0VBQ1YsV0FBVyxFQUFFLE1BQU07RUFDbkIsZUFBZSxFQUFFLE1BQU07RUFDdkIsT0FBTyxFQUFFLFlBQVk7RUFDckIsS0FBSyxFQUFFLFdBQVc7RUFJbEIsUUFBUSxFQUFFLE1BQU0sR0FnQm5CO0VBMUJMLEFBV1EsU0FYQyxDQVdBLGlCQUFHLENBQUE7SUFDQSxPQUFPLEVBQUUsSUFBSSxHQUNoQjtFQWJULEFBY1EsU0FkQyxDQWNBLGlCQUFHLENBQUE7SUFDQSxPQUFPLEVBQUUsS0FBSyxHQUNqQjtFQUNELE1BQU0sRUFBRSxTQUFTLEVBQUUsS0FBSztJQWpCaEMsQUFtQlksU0FuQkgsQ0FFTCxjQUFjLENBaUJOLGlCQUFpQixDQUFBO01BQ2IsT0FBTyxFQUFFLEtBQUssR0FDakI7SUFyQmIsQUFzQlksU0F0QkgsQ0FFTCxjQUFjLENBb0JOLGlCQUFpQixDQUFBO01BQ2IsT0FBTyxFQUFFLElBQUksR0FDaEI7O0FBeEJiLEFBMkJJLFNBM0JLLENBMkJMLGVBQWUsQ0FBQTtFQUNYLE9BQU8sRUFBRSxJQUFJO0VBQ2IsY0FBYyxFQUFFLE1BQU07RUFDdEIsV0FBVyxFQUFFLE1BQU07RUFDbkIsZUFBZSxFQUFFLE1BQU0sR0FDMUI7O0FBaENMLEFBaUNJLFNBakNLLENBaUNMLGNBQWMsQ0FBQTtFQUNWLE9BQU8sRUFBRSxDQUFDLEdBSWI7RUF0Q0wsQUFtQ1EsU0FuQ0MsQ0FpQ0wsY0FBYyxBQUVULE1BQU0sQ0FBQTtJQUNILFVBQVUsRUFBRSxPQUFPLEdBQ3RCOztBQXJDVCxBQXVDSSxTQXZDSyxDQXVDTCxFQUFFLENBQUE7RUFDRSxVQUFVLEVBQUUsTUFBTTtFQUNsQixjQUFjLEVBQUUsZUFBZSxHQUNsQzs7QUExQ0wsQUEyQ0ksU0EzQ0ssQ0EyQ0wsR0FBRyxDQUFBO0VBQ0MsUUFBUSxFQUFFLFFBQVE7RUFDbEIsR0FBRyxFQUFFLENBQUM7RUFDTixJQUFJLEVBQUUsQ0FBQztFQUNQLEtBQUssRUFBRSxJQUFJO0VBQ1gsTUFBTSxFQUFFLElBQUksR0FDZjs7QUFjTCxBQUFBLFdBQVcsQ0FBQTtFQUNQLE9BQU8sRUFBRSxRQUFRO0VBQ2pCLE1BQU0sRUFBRSxpQkFBaUI7RUFDekIsZUFBZSxFQUFFLElBQUk7RUFDckIsU0FBUyxFQUFFLElBQUk7RUFDZixXQUFXLEVBQUUsR0FBRztFQUNoQixXQUFXLEVBQUUsSUFBSTtFQUNqQixLQUFLLEVBQUUsSUFBSTtFQUNYLFVBQVUsRUFBRSxPQUFPO0VBQ25CLE1BQU0sRUFBRSxPQUFPO0VBQ2YsVUFBVSxFQUFFLFlBQVk7RUFDeEIsS0FBSyxFQUFFLFdBQVc7RUFDbEIsV0FBVyxFQUFFLElBQUk7RUFDakIsWUFBWSxFQUFFLElBQUk7RUFDbEIsVUFBVSxFQUFFLE1BQU0sR0FNckI7RUFwQkQsQUFlSSxXQWZPLEFBZU4sTUFBTSxDQUFBO0lBQ0gsZUFBZSxFQUFFLElBQUk7SUFDckIsS0FBSyxFQUFFLGtCQUFrQjtJQUN6QixVQUFVLEVBQUUsV0FBVyxHQUMxQiIKfQ== */